database_api.list_withdraw_vesting_routes
Purpose
Retourne une liste de routes de retrait de vesting (withdraw route). Paramètres : start:array ; limit:int ; order:string
startdépend deorder(voir ci-dessous)limitest limité à 1000.orderpeut être l'un des suivants :by_withdraw_route- tri par route de retraitstartest un tableau de deux valeurs :from_account,to_account
by_destination- tri par destination (destination)startest un tableau de deux valeurs :to_account,route_id
| start (array) | limit (int) | order (string) | | |----------------------------|---------------|-| | ["temp", ""] | 10 | "by_withdraw_route" | Interroge les 10 premières routes, tri par route de retrait | | ["", 0] | 10 | "by_destination" | Interroge les 10 premières routes, tri par destination |
Voir aussi : Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_withdraw_vesting_routes",
"params": {
"start": [
"temp",
""
],
"limit": 10,
"order": "by_withdraw_route"
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_withdraw_vesting_routes",
"params": {
"start": [
"",
0
],
"limit": 10,
"order": "by_destination"
},
"id": 1
}'Response
RESPONSE
json
{
"routes": [
{
"id": 39503,
"from_account": "temperature",
"to_account": "luckdiver",
"percent": 10000,
"auto_vest": false
}
]
}